Last Comment Bug 670055 - Make DecodeToTarget sample accurate for audio
: Make DecodeToTarget sample accurate for audio
Status: RESOLVED FIXED
[qa-]
:
Product: Core
Classification: Components
Component: Audio/Video (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: Chris Pearce (:cpearce)
:
Mentors:
Depends on: 670726 675045
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-07 17:37 PDT by Chris Pearce (:cpearce)
Modified: 2011-10-05 07:48 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed


Attachments
Patch v1: Prune unnecessary leading audio samples (3.56 KB, patch)
2011-07-07 17:39 PDT, Chris Pearce (:cpearce)
kinetik: review+
Details | Diff | Splinter Review

Description Chris Pearce (:cpearce) 2011-07-07 17:37:44 PDT
Our seeks use nsBuiltinDecoderReader::DecodeToTarget() to decode up to the seek target after the main seek returns. This pumps the decode until the decode produces a VideoData and/or SoundData which contains the seek target. But for audio we'll begin playback at the start of the SoundData, not at the actual seek target. There could be an unknown amount of sound data before the seek target, reducing the accuracy of our seek.
Comment 1 Chris Pearce (:cpearce) 2011-07-07 17:39:10 PDT
Created attachment 544668 [details] [diff] [review]
Patch v1: Prune unnecessary leading audio samples
Comment 3 Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary) 2011-07-09 20:24:00 PDT
http://hg.mozilla.org/mozilla-central/rev/14750ef487b5

Note You need to log in before you can comment on or make changes to this bug.